NAV

Link API Overview

The Link API allows an application to submit mortgage applications to lenders and facilitates electronic interaction between brokers and lenders.

The Link API is a RESTful API that accepts both XML and JSON for requests and responses.

The Link API has the following operations:

For more information, check out the detailed API documentation below.

Authentication

POST https://api-link.newton.ca/identity/connect/token HTTP/1.1
Content-Type: application/x-www-form-urlencoded

Request Body

grant_type=client_credentials&scope=Link.Pos.Api&client_id=<client id>&client_secret=<secret password>

Authentication Response

{
    "access_token": "ie7JIONyQC8EdP4LCaJXn9HkkxnMt-VQ9D3a4SghfhCXITf_WoFop7tNnwu7-6SxViCQX...", 
    "token_type": "bearer", 
    "expires_in": 43199,
    "scope": "Link.Pos.Api"
}

Link API consumers must be authenticated and authorized to make API calls.

Link API uses JSON Web Tokens (JWTs) to authenticate requests.

Successful authentication request will return a payload containing a bearer token and a time (in seconds) until it expires. All API calls must include this token in the Authorization header. The token may be reused to make consecutive API calls as long as it is not expired, and once it is, an authentication request will need to be issued to receive a new token.

Consumers are encouraged to cache authorization tokens and only issue authentication request before an API call if the token had expired or is about to expire.

Authorization

All Link API calls will go through an authorzation process that wil determine if a given PoS system is allowed to perform requested operation on behalf of a given Firm. Therefore, all requests must provide posSystemId and unitId parameters.

Each PoS system consuming Link API will be assigned a unique posSystemId.

Errors

Error Response

{
  "error": [
    {
      "message": "[LinkApi] Validation Exception : PrimaryCustomer.Address.StreetType - The field StreetType is invalid.",
      "type": 1
    }
  ],
  "status": "error"
}

Link API calls will return a response with a 4XX HTTP status code when API is unable to process request, or a 5XX HTTP status code when a syste failure occurs.

4XX responses may include a response body including a list of errors, with an error type (business, vendor, system) and a message.

Examples of 4XX responses:

Status Description Most Likely Cause
400 Bad Request Invalid/missing data
401 Unauthorized Invalid/missing credentials
403 Forbidden Unauthorized request
404 Not Found The resource doesn't exists
409 Conflict Trying to overwrite a resource

Lender Details

GET https://api-link.newton.ca/v1/lender-details

GetLenderDetails allows a consumer to query a list of lenders and lender products.

Parameters

Name In Type Description
unitId query string (see Authorization)
posSystemId query string (see Authorization)

Responses

Sample Response

200 Response

{
  "lender": [
    {
      "lenderName": "Test Lender",
      "lenderCode": 9011,
      "lenderType": 1,
      "isPrime": true,
      "isAlternative": true,
      "isEquifaxAccredited": true,
      "isTransUnionAccredited": true,
      "lenderProduct": [
        {
          "productId": "b591810a-4796-bc11-a9b9-000d3af448b9",
          "productCode": "LLVAR10",
          "productName": "1 Year Variable",
          "productTerm": 12,
          "rateCompoundFrequency": 2,
          "postedRate": 3.2,
          "earlyPayout": 20,
          "startDate": "2022-01-27T00:00:00"
        },
        {
          "productId": "320c7618-937f-ec11-a9b8-000d3af458b9",
          "productCode": "LL5000",
          "productName": "5 Year Fixed",
          "productTerm": 60,
          "rateCompoundFrequency": 2,
          "postedRate": 3.33,
          "earlyPayout": 20,
          "startDate": "2021-12-10T00:00:00"
        }
      ],
      "underwriter": [
        {
          "businessType": 10,
          "userId": "PRIME",
          "unitId": "9011",
          "name": "Prime"
        },
        {
          "businessType": 20,
          "userId": "ALT",
          "unitId": "9011",
          "name": "Alternative"
        }
      ],
      "channel": [
        {
          "name": "Direct",
          "type": 0,
          "acceptSubmit": true,
          "acceptUpdate": true,
          "acceptCancel": false,
          "acceptNotes": false,
          "acceptDocs": true
        }
      ]
    }
  ],
  "status": "ok"
}
Status Schema
200 OK GetLenderDetails > Response

Response

GetLenderDetails

Name Type Description
error nullable array(ServiceError) List of errors
status required ResponseStatus
Enums
lender nullable array(Lender)
GetLenderDetails > Response
List of Lenders

Lender

GetLenderDetails > Response

Name Type Description
lenderName nullable string max-length(50) ^[\s\S]*\S[\s\S]*$ Lender name
lenderCode nullable integer(int32) range(1000,9999) Lender code
lenderType LenderType
Enums
Lender type
isPrime nullable boolean Is prime?
isAlternative nullable boolean Is alternative?
isEquifaxAccredited nullable boolean Is Equifax accredited?
isTransUnionAccredited nullable boolean Is TransUnion accredited?
isCMHCApproved nullable boolean Is CMHC approved?
lenderProduct nullable array(LenderProduct)
GetLenderDetails > Response
List of Lender products
underwriter nullable array(Underwriter)
GetLenderDetails > Response
List of Underwriters
channel nullable array(Channel) min-items(1)
GetLenderDetails > Response
List of Submission channels

LenderProduct

GetLenderDetails > Response

Name Type Description
productId nullable string max-length(36) ^[\s\S]*\S[\s\S]*$ Product Id
productCode nullable string max-length(10) ^[\s\S]*\S[\s\S]*$ Product code
productName nullable string ^[\s\S]*\S[\s\S]*$ Product name
productNameFrench nullable string ^[\s\S]*\S[\s\S]*$ Product name (French)
productDescription nullable string ^[\s\S]*\S[\s\S]*$ Product description
productDescriptionFrench nullable string ^[\s\S]*\S[\s\S]*$ Product description (French)
productTerm nullable integer(int32) Product term
productBusinessType BusinessType
Enums
Product business type
rateCompoundFrequency RateCompoundFrequency
Enums
Rate compound frequency
postedRate nullable number(double) range(0,999.99) Posted rate
basisPoints nullable integer(int32) Basis points
cashBack nullable integer(int32) Cashback
prePaymentOption PrePaymentOption
Enums
Prepayment option
earlyPayout EarlyPayout
Enums
Early payout
startDate nullable string(date-time) YYYY-MM-DDTHH:MM:SS Start date
rateType RateType
Enums
Rate type
lineofCreditIndicator nullable boolean Line of Credit indicator
lineofCreditRepayment LoCRepaymentType
Enums
Line of Credit repayment

Underwriter

GetLenderDetails > Response

Name Type Description
userId nullable string max-length(10) ^\S+$ Underwriter user Id
unitId nullable string max-length(4) ^[A-Z0-9]{3,4}$ Underwriter unit Id
name nullable string ^[\s\S]*\S[\s\S]*$ Underwriter name
businessType BusinessType
Enums
Underwriter business type

Channel

GetLenderDetails > Response

Name Type Description
name nullable string ^[\s\S]*\S[\s\S]*$ Channel name
type nullable integer(int32) range(0,9999) Lender channel
acceptSubmit nullable boolean Is submission accepted?
acceptUpdate nullable boolean Is update submission accepted?
acceptCancel nullable boolean Is cancel submission accepted?
acceptNotes nullable boolean Is notes submission accepted?
acceptDocs nullable boolean Is document submission accepted?

Submit Application

POST https://api-link.newton.ca/v1/applications

The Submit Application operation electronically submits a mortgage application to the lender for review. The application will move to a pending state until the lender responds with a decision (accepted, declined, cancelled, etc.)

Parameters

Sample Request

{
  "commonData": {
    "assetList": {
      "assetRealEstate": [
        {
          "key": "property-48853",
          "value": 500000,
          "originalPrice": 350000,
          "originalDate": "2008-04-29"
        }
      ],
      "assetOther": [
        {
          "key": "asset-40788",
          "value": 10000,
          "assetType": 70,
          "description": "savings"
        },
        {
          "key": "asset-40783",
          "value": 50000,
          "assetType": 10,
          "description": "Cash in the bank"
        }
      ]
    },
    "liabilityList": {
      "liabilityRealEstate": [
        {
          "key": "property-48853-1",
          "fromCreditBureau": false,
          "accountNumber": "598685",
          "monthlyRepayment": 1000,
          "originalLoanAmount": 250000,
          "outstandingBalance": 100000,
          "closingDate": "2008-04-29",
          "lenderName": "RBC",
          "chargeType": 1,
          "repaymentType": 2,
          "redemptionStatus": 4,
          "maturityDate": "2023-02-01",
          "netRate": 5,
          "rateType": 0
        }
      ],
      "liabilityOther": [
        {
          "key": "liability-42362",
          "fromCreditBureau": false,
          "repaymentIndicator": false,
          "monthlyRepayment": 150,
          "creditLimit": 1000,
          "outstandingBalance": 2000,
          "lenderName": "AMEX",
          "liabilityType": 6
        }
      ]
    },
    "addressList": {
      "applicationAddressCanada": [
        {
          "cityTown": "High River",
          "provinceCode": 20,
          "postalCode": "T1V1J5",
          "key": "address-402175",
          "postalAddressStreetAddress": {
            "streetNumber": "311",
            "streetName": "Aurora",
            "streetType": 190
          }
        },
        {
          "cityTown": "Markham",
          "provinceCode": 50,
          "postalCode": "L3S4N5",
          "key": "address-402176",
          "postalAddressStreetAddress": {
            "unitNumber": "10",
            "streetNumber": "11",
            "streetName": "Chruch",
            "streetType": 490
          }
        },
        {
          "cityTown": "Toronto",
          "provinceCode": 50,
          "postalCode": "M2J5C4",
          "key": "address-402174",
          "postalAddressStreetAddress": {
            "unitNumber": "8",
            "streetNumber": "567",
            "streetName": "Brock",
            "streetType": 490,
            "streetDirection": 7
          }
        }
      ]
    }
  },
  "customerData": {
    "customerList": {
      "customerPrimaryBorrower": {
        "key": "borrower-112109",
        "correspondenceLanguage": 1,
        "dateBirth": "1976-11-12",
        "honorific": 1,
        "lastName": "Daniels",
        "firstName": "Bob",
        "emailAddress1": "bob@test.com",
        "sin": "999999998",
        "maritalStatus": 2,
        "numberOfDependents": 1,
        "sex": 1,
        "residentType": 10,
        "customerTelephoneNumberList": [
          {
            "usage": 1,
            "preferred": true,
            "telephoneNumber": {
              "countryCode": "1",
              "areaCode": "905",
              "phoneNumber": "9100010"
            }
          },
          {
            "usage": 2,
            "preferred": false,
            "telephoneNumber": {
              "countryCode": "1",
              "areaCode": "905",
              "phoneNumber": "9101457",
              "phoneExtension": "333"
            }
          },
          {
            "usage": 3,
            "preferred": false,
            "telephoneNumber": {
              "countryCode": "1",
              "areaCode": "647",
              "phoneNumber": "9101547"
            }
          }
        ],
        "employmentList": {
          "employment": [
            {
              "employmentType": 1,
              "employmentStatus": 10,
              "dateStart": "2021-11-01",
              "industryType": 8,
              "dateStartedInIndustry": "2011-06-13",
              "occupationType": 5,
              "jobTitle": "Manager",
              "companyName": "American Express",
              "addressCanada": {
                "cityTown": "Toronto",
                "provinceCode": 50,
                "postalCode": "M9M9M9",
                "postalAddressStreetAddress": {
                  "streetNumber": "456",
                  "streetName": "Yorkland",
                  "streetType": 380
                }
              },
              "earnedIncomeList": {
                "earnedIncome": [
                  {
                    "earnedIncomeType": 9,
                    "paymentFrequency": 1,
                    "earnedIncomeAmount": 90000
                  }
                ]
              },
              "contactTelephoneNumber": {
                "usage": 10,
                "telephoneNumber": {
                  "countryCode": "1",
                  "areaCode": "403",
                  "phoneNumber": "3431234",
                  "phoneExtension": "12"
                }
              }
            },
            {
              "employmentType": 1,
              "employmentStatus": 10,
              "dateStart": "2015-05-01",
              "dateEnd": "2021-11-01",
              "industryType": 8,
              "dateStartedInIndustry": "2011-06-13",
              "occupationType": 1,
              "jobTitle": "Manager",
              "companyName": "Prev Company",
              "earnedIncomeList": {
                "earnedIncome": [
                  {
                    "earnedIncomeType": 10,
                    "paymentFrequency": 1,
                    "earnedIncomeAmount": 50000
                  }
                ]
              },
              "contactTelephoneNumber": {
                "usage": 10,
                "telephoneNumber": {
                  "countryCode": "1",
                  "areaCode": "528",
                  "phoneNumber": "2965859"
                }
              }
            }
          ]
        },
        "unearnedIncomeList": {
          "unearnedIncome": [
            {
              "unearnedIncomeAmount": 800,
              "unearnedIncomeType": 99,
              "paymentFrequency": 12,
              "unearnedIncomeDetails": "From FD"
            }
          ]
        }
      },
      "customerBorrower": [
        {
          "key": "borrower-112110",
          "correspondenceLanguage": 1,
          "dateBirth": "1975-04-14",
          "honorific": 4,
          "lastName": "Daniels",
          "firstName": "Marsha",
          "emailAddress1": "marsha@test.com",
          "maritalStatus": 2,
          "numberOfDependents": 0,
          "sex": 2,
          "residentType": 10,
          "customerTelephoneNumberList": [
            {
              "usage": 1,
              "preferred": false,
              "telephoneNumber": {
                "countryCode": "1",
                "areaCode": "905",
                "phoneNumber": "9100010"
              }
            },
            {
              "usage": 3,
              "preferred": true,
              "telephoneNumber": {
                "countryCode": "1",
                "areaCode": "647",
                "phoneNumber": "7891546"
              }
            }
          ],
          "employmentList": {
            "employment": [
              {
                "employmentType": 1,
                "employmentStatus": 10,
                "dateStart": "2017-02-01",
                "industryType": 8,
                "dateStartedInIndustry": "2007-07-13",
                "occupationType": 1,
                "jobTitle": "Marketing Manager",
                "companyName": "Chase Bank",
                "addressCanada": {
                  "cityTown": "Toronto",
                  "provinceCode": 50,
                  "postalCode": "M9M9M9",
                  "postalAddressStreetAddress": {
                    "unitNumber": "659",
                    "streetNumber": "585",
                    "streetName": "3663 South",
                    "streetType": 320,
                    "streetDirection": 2
                  }
                },
                "earnedIncomeList": {
                  "earnedIncome": [
                    "[Object]"
                  ]
                },
                "contactTelephoneNumber": {
                  "usage": 10,
                  "telephoneNumber": {
                    "countryCode": "1",
                    "areaCode": "403",
                    "phoneNumber": "5298259",
                    "phoneExtension": "859"
                  }
                }
              }
            ]
          },
          "unearnedIncomeList": {
            "unearnedIncome": [
              {
                "unearnedIncomeAmount": 800,
                "unearnedIncomeType": 3,
                "paymentFrequency": 12,
                "unearnedIncomeDetails": "From FD"
              }
            ]
          },
          "customerRelationship": {
            "relationshipToOwnerType": 1
          }
        }
      ]
    },
    "customerAddressList": {
      "customerAddressPrimaryResidence": [
        {
          "currentPropertyIntendedActionType": 1,
          "annualHeatingAmount": 1500,
          "annualTaxAmount": 2560,
          "refkeyAddress": "address-402175",
          "customerReference": [
            {
              "refkeyCustomer": "borrower-112109"
            }
          ],
          "customerCurrentAddressTimeAt": [
            {
              "fromDate": "2021-02-01",
              "refkeyCustomer": "borrower-112109"
            }
          ],
          "customerLiabilityRealEstate": [
            {
              "refkeyLiability": "property-48853-1",
              "customerReference": {
                "refkeyCustomer": "borrower-112109"
              }
            }
          ],
          "addressOccupancyPartialOwnerOccupied": {
            "refkeyAsset": "property-48853",
            "rentalDetails": {
              "annualGrossRentalIncome": 15000,
              "hydro": 1500,
              "rentalOffset": 65,
              "rentalCalcType": 2
            }
          }
        },
        {
          "currentPropertyIntendedActionType": 1,
          "annualHeatingAmount": 1500,
          "annualTaxAmount": 2560,
          "refkeyAddress": "address-402175",
          "customerReference": [
            {
              "refkeyCustomer": "borrower-112110"
            }
          ],
          "customerCurrentAddressTimeAt": [
            {
              "fromDate": "2017-01-01",
              "refkeyCustomer": "borrower-112110"
            }
          ],
          "addressOccupancyPartialOwnerOccupied": {
            "refkeyAsset": "property-48853",
            "rentalDetails": {
              "annualGrossRentalIncome": 15000,
              "hydro": 1500,
              "rentalOffset": 65,
              "rentalCalcType": 2
            }
          }
        }
      ],
      "customerAddressCorrespondence": [
        {
          "refkeyAddress": "address-402176",
          "customerReference": [
            {
              "refkeyCustomer": "borrower-112109"
            }
          ],
          "addressOccupancyNone": {}
        }
      ]
    },
    "customerAssetList": [
      {
        "refkeyAsset": "asset-40788",
        "customerReference": {
          "refkeyCustomer": "borrower-112109"
        }
      },
      {
        "refkeyAsset": "asset-40783",
        "customerReference": {
          "refkeyCustomer": "borrower-112110"
        }
      }
    ],
    "customerLiabilityList": [
      {
        "refkeyLiability": "liability-42362",
        "customerReference": {
          "refkeyCustomer": "borrower-112109"
        }
      }
    ]
  },
  "mortgageApplication": {
    "posApplicationNumber": "VXDTB-70014",
    "fundingDate": "2022-11-08",
    "loanPurposeType": 5,
    "purchasePriceEstimatedValue": 600000,
    "typeOfBuyer": 20,
    "additionalPurpose": "Switch and Transfer",
    "subjectProperty": {
      "occupancyPurpose": 4,
      "mlsListed": true,
      "mlsNumber": "4891256",
      "heatingType": 2,
      "parkingType": 1,
      "yearBuilt": 2001,
      "waterSupplyType": 10,
      "waterWasteType": 10,
      "propertySize": 2222,
      "propertySizeUnits": 1,
      "lotSize": 2222,
      "lotSizeUnits": 1,
      "environmentalHazardIndicator": false,
      "annualHeatingAmount": 1800,
      "numberOfUnitsTotal": 1,
      "propertyType": 99,
      "propertyDescriptionType": 6,
      "propertyUsageType": 90,
      "propertyZoningType": 1,
      "newPropertyIndicator": false,
      "subjectPropertyOccupancyOwnerOccupied": {},
      "legalAddress": {
        "details": "6 Toronto",
        "pin": "777"
      },
      "condo": {
        "annualCondoFees": 4200
      },
      "propertyTax": {
        "annualTaxAmount": 3500,
        "taxesPaidBy": 1
      },
      "subjectPropertyAddress": {
        "refkeyAddress": "address-402174"
      }
    },
    "loan": {
      "loanAmount": 0,
      "chargeType": 1,
      "termMonths": 6,
      "amortizationMonths": 188,
      "netRate": 3.33,
      "qualifyingRate": 3.75,
      "maturityDate": "2023-05-08",
      "firstPaymentDate": "2022-12-08",
      "interestAdjustmentDate": "2022-11-08",
      "requestedPayment": 2733.58,
      "paymentAmount": 2733.58,
      "paymentFrequency": 12,
      "repaymentType": 2,
      "lenderCode": 9011,
      "customProduct": {
        "productCode": "LL5000",
        "productName": "5 Year Fixed EST",
        "rateType": 0,
        "rateCompoundFrequency": 12,
        "postedRate": 3.33,
        "productTerm": 6
      }
    },
    "downpaymentList": {
      "downpayment": [
        {
          "downpaymentSourceType": 9,
          "description": "Property - 311 Aurora Drive, Calgary, Alberta",
          "amount": 200000
        }
      ]
    },
    "firm": {
      "firmId": "XDTB",
      "externalPoSFirm": [
        {
          "posSystemId": 50,
          "firmId": "XDTB"
        }
      ]
    },
    "submittingAgent": {
      "firstName": "Alice",
      "lastName": "Smythe",
      "emailAddress": "Alice.Symthe@newt.com",
      "mortgageLicenseNumber": "9988889",
      "externalPoSUser": [
        {
          "posSystemId": 50,
          "firmId": "XDTB",
          "userId": "112233"
        }
      ]
    },
    "originatingAgent": {
      "firstName": "Stella",
      "lastName": "Worth",
      "emailAddress": "stella.worth@newt.com",
      "mortgageLicenseNumber": "B7403",
      "externalPoSUser": [
        {
          "posSystemId": 50,
          "firmId": "XDTB",
          "userId": "11246"
        }
      ],
      "addressCanada": {
        "cityTown": "Vancouver",
        "provinceCode": 10,
        "postalCode": "V6H3V3",
        "postalAddressStreetAddress": {
          "unitNumber": "550",
          "streetNumber": "2608",
          "streetName": "Granville",
          "streetType": 490,
          "streetDirection": 6
        }
      }
    },
    "broker": {
      "firstName": "Alice",
      "lastName": "Smythe",
      "emailAddress": "Alice.Symthe@newt.com",
      "mortgageLicenseNumber": "9988889",
      "externalPoSUser": [
        {
          "posSystemId": 50,
          "firmId": "XDTB",
          "userId": "112233"
        }
      ]
    }
  }
}
Name In Type Description
body Request
SubmitApplication

At the top level, the body of a SubmitApplication request is broken down into elements (XML) and objects (JSON) that represent different sections of the request.

Request

SubmitApplication

Name Type Description
unitId required string min-length(1) Unit Id (see Authorization)
posSystem required string min-length(1) max-length(10) PoS System (see Authorization)
commonData required CommonData
SubmitApplication > Request
Common data - AssetList, LiabilityList, AddressList, CreditBureauList
customerData required CustomerData
SubmitApplication > Request
Customer data
mortgageApplication required MortgageApplication
SubmitApplication > Request
Mortgage application
memo nullable string Memo (freeform text)

CommonData

SubmitApplication > Request

Name Type Description
assetList required AssetList
SubmitApplication > Request
List of assets
liabilityList required LiabilityList
SubmitApplication > Request
Liability list
addressList required AddressList
SubmitApplication > Request
Address list
creditBureauList CreditBureauList
SubmitApplication > Request
List of Credit bureaus

AssetList

SubmitApplication > Request

Name Type Description
assetRealEstate nullable array(AssetRealEstate) max-items(99)
SubmitApplication > Request
List of Real estate assets
assetOther nullable array(AssetOther) max-items(99)
SubmitApplication > Request
List of Other assets

AssetRealEstate

SubmitApplication > Request

Name Type Description
key required string max-length(256) ^\S+$ Asset key (see Refkeys)
value required number(double) range(0,99999999.99) Asset value
originalPrice nullable number(double) range(0,99999999.99) Original price
originalDate nullable string(date) YYYY-MM-DD Original date

AssetOther

SubmitApplication > Request

Name Type Description
key required string max-length(256) ^\S+$ Asset key (see Refkeys)
value required number(double) range(0,99999999.99) Asset value
assetType required AssetOtherType
Enums
Asset other type
location nullable string max-length(50) ^[\s\S]*\S[\s\S]*$ Asset location
maturityDate nullable string(date) YYYY-MM-DD Asset maturity date
additionalAssetHolders nullable string max-length(255) ^[\s\S]*\S[\s\S]*$ Additional asset holders
description nullable string max-length(50) ^[\s\S]*\S[\s\S]*$ Asset description

LiabilityList

SubmitApplication > Request

Name Type Description
liabilityRealEstate nullable array(LiabilityRealEstate) max-items(99)
SubmitApplication > Request
Liability list (Real estate)
liabilityOther nullable array(LiabilityOther) max-items(99)
SubmitApplication > Request
Liability list (Other)

LiabilityRealEstate

SubmitApplication > Request

Name Type Description
key required string max-length(256) ^\S+$ Liability key (see Refkeys)
fromCreditBureau nullable boolean From credit bureau?
accountNumber nullable string max-length(20) ^[\s\S]*\S[\s\S]*$ Account number
othersResponsible nullable boolean Are others responsible?
othersResponsibleDetails nullable string max-length(255) ^[\s\S]*\S[\s\S]*$ Others responsible details
monthlyRepayment required number(double) range(0,9999999.99) Monthly repayment
originalLoanAmount required number(double) range(0,99999999.99) Original loan amount
outstandingBalance required number(double) range(0,99999999.99) Outstanding balance
closingDate nullable string(date) YYYY-MM-DD Closing date
lenderName required string min-length(1) max-length(44) Lender name
chargeType required ChargeType
Enums
Charge type
repaymentType required LoanRepaymentType
Enums
Repayment type
redemptionStatus required LoanRedemptionStatus
Enums
Redemption status
inDefault nullable boolean Is in default?
purchasePrice nullable number(double) range(0,99999999.99) Purchase price
maturityDate nullable string(date) YYYY-MM-DD Maturity date
netRate nullable number(double) range(0,999.99) Net rate
rateType RateType
Enums
Rate type
mortgageInsurer MortgageInsurerType
Enums
Mortgage insurer
insuredAmount nullable number(double) range(0,99999999.99) Insured amount
insurancePremium nullable number(double) range(0,999999.99) Insurance premium
insuranceCertificateNumber nullable string max-length(10) ^[\s\S]*\S[\s\S]*$ Insurance certificate number

LiabilityOther

SubmitApplication > Request

Name Type Description
key required string max-length(256) ^\S+$ Liability key (see Refkeys)
fromCreditBureau nullable boolean From credit bureau?
dateEnd nullable string(date) YYYY-MM-DD End date
accountNumber nullable string max-length(30) ^[\s\S]*\S[\s\S]*$ Account number
repaymentIndicator nullable boolean Repayment indicator
payoffType PayoffType
Enums
Payoff type
monthlyRepayment nullable number(double) range(0,9999999.99) Monthly repayment
creditLimit nullable number(double) range(0,99999999.99) Credit limit
outstandingBalance nullable number(double) range(0,99999999.99) Outstanding balance
lenderName required string min-length(1) max-length(50) Lender name
creditCardType CreditCardType
Enums
Credit card type
liabilityType required LiabilityType
Enums
Liability type
additionalHolders nullable boolean Additional holders?
additionalHoldersDetails nullable string max-length(255) ^[\s\S]*\S[\s\S]*$ Additional holders details

AddressList

SubmitApplication > Request

Name Type Description
applicationAddressCanada nullable array(ApplicationAddressCanada) max-items(99)
SubmitApplication > Request
List of addresses (Canada)
applicationAddressUSA nullable array(ApplicationAddressUSA) max-items(99)
SubmitApplication > Request
List of addresses (USA)
applicationAddressOther nullable array(ApplicationAddressOther) max-items(99)
SubmitApplication > Request
List of addresses (Other)
applicationAddressCanadaPartial ApplicationAddressCanadaPartial
SubmitApplication > Request
Partial address (Canada)

ApplicationAddressCanada

SubmitApplication > Request

Remarks

  • Only one of PostalAddressStreetAddress or PostalAddressPOBox needs to be provided
Name Type Description
cityTown required string min-length(1) max-length(40) City/town (municipality)
provinceCode required ProvinceStateCodeCanada
Enums
Province code (Canada)
postalCode required string ^[A-Za-z][0-9][A-Za-z][ ]?[0-9][A-Za-z][0-9]$ Postal code
key required string max-length(256) ^\S+$ Address key (see Refkeys)
postalAddressStreetAddress PostalAddressStreetAddress
SubmitApplication > Request
Postal address (Street address)
postalAddressPOBox PostalAddressPOBox
SubmitApplication > Request
Postal address (PO box)

PostalAddressStreetAddress

SubmitApplication > Request

Name Type Description
unitNumber nullable string max-length(10) Unit number
streetNumber nullable string max-length(10) ^[\s\S]*\S[\s\S]*$ Street number
streetName required string min-length(1) max-length(26) Street name
streetType StreetTypeCode
Enums
Street type
streetDirection StreetDirectionCode
Enums
Street direction

PostalAddressPOBox

SubmitApplication > Request

Name Type Description
unitNumber nullable string max-length(10) Unit number
streetNumber nullable string max-length(10) Street number
streetName nullable string max-length(26) Street name
streetType StreetTypeCode
Enums
Street type
streetDirection StreetDirectionCode
Enums
Street direction
poBoxRRNumber required string min-length(1) max-length(40) PO box/RR number

ApplicationAddressUSA

SubmitApplication > Request

Remarks

  • Only one of PostalAddressStreetAddress or PostalAddressPOBox needs to be provided
Name Type Description
cityTown required string min-length(1) max-length(40) City/town (municipality)
provinceCode required ProvinceStateCodeUSA
Enums
State Code (USA)
postalCode required string ^[0-9]{5}(-[0-9]{4})?$ Postal code
key required string max-length(256) ^\S+$ Address key (see Refkeys)
postalAddressStreetAddress PostalAddressStreetAddress
SubmitApplication > Request
Postal address (Street address)
postalAddressPOBox PostalAddressPOBox
SubmitApplication > Request
Postal address (PO box)

ApplicationAddressOther

SubmitApplication > Request

Remarks

  • Only one of PostalAddressStreetAddress or PostalAddressPOBox needs to be provided
Name Type Description
cityTown required string min-length(1) max-length(40) City/town (municipality)
postalCode required string max-length(10) Postal code
key required string max-length(256) ^\S+$ Address key (see Refkeys)
postalAddressStreetAddress PostalAddressStreetAddress
SubmitApplication > Request
Postal address (Street address)
postalAddressPOBox PostalAddressPOBox
SubmitApplication > Request
Postal address (PO box)

ApplicationAddressCanadaPartial

SubmitApplication > Request

Name Type Description
key required string max-length(256) ^\S+$ Address key (see Refkeys)
provinceCode required ProvinceStateCodeCanada
Enums
Province code (Canada)

CreditBureauList

SubmitApplication > Request

Name Type Description
creditBureau nullable array(CreditBureau) max-items(99)
SubmitApplication > Request
List of Credit bureaus

CreditBureau

SubmitApplication > Request

Remarks

  • Only one of CreditReportEquifax or CreditReportTransUnion needs to be provided
Name Type Description
key required string max-length(256) ^\S+$ Credit bureau key (see Refkeys)
provider required CreditReportProvider
Enums
Credit report provider
creditReportEquifax CreditReportEquifax
SubmitApplication > Request
Credit bureau report (Equifax)
creditReportTransUnion CreditReportTransUnion
SubmitApplication > Request
Credit bureau report (TransUnion)
humanReadableReport required HumanReadableReport
SubmitApplication > Request
Human readable report
xmlData XMLData
SubmitApplication > Request
XML data (with PDF)

CreditReportEquifax

SubmitApplication > Request

Name Type Description
reportDate nullable string(date-time) YYYY-MM-DDTHH:MM:SS Report data
creditScore nullable integer(int32) range(0,99999) Credit score
jointCreditScore nullable integer(int32) range(0,99999) Joint credit score
noHit nullable boolean Not hit?
jointNoHit nullable boolean Joint no hit?
dataFormat CreditReportDataFormat
Enums
Data format
value required string min-length(1) Credit report

CreditReportTransUnion

SubmitApplication > Request

Name Type Description
reportDate nullable string(date-time) YYYY-MM-DDTHH:MM:SS Report data
creditScore nullable integer(int32) range(0,99999) Credit score
jointCreditScore nullable integer(int32) range(0,99999) Joint credit score
noHit nullable boolean Not hit?
jointNoHit nullable boolean Joint no hit?
value required string min-length(1) Credit report

HumanReadableReport

SubmitApplication > Request

Name Type Description
type required HumanReadableReportType
Enums
Human readable report type
value required string min-length(1) Value is used to hold the report body

XMLData

SubmitApplication > Request

Name Type Description
value nullable string ^[\s\S]*\S[\s\S]*$ XML data (with PDF)

CustomerData

SubmitApplication > Request

Remarks

  • refkeyCustomer referenced in customerCreditBureaus may not be duplicated
Name Type Description
customerList required CustomerList
SubmitApplication > Request
Customer list
customerAddressList required CustomerAddressList
SubmitApplication > Request
Customer address list
customerAssetList nullable array(CustomerAssetOther)
SubmitApplication > Request
Customer asset list
customerLiabilityList nullable array(CustomerLiabilityOther)
SubmitApplication > Request
Customer liability list
customerCreditBureauList nullable array(CustomerCreditBureau)
SubmitApplication > Request
Customer credit bureau list

CustomerList

SubmitApplication > Request

Name Type Description
customerPrimaryBorrower required CustomerPrimaryBorrower
SubmitApplication > Request
Customer Primary Borrower
customerBorrower nullable array(CustomerBorrower) max-items(4)
SubmitApplication > Request
List of Customer Borrowers
customerGuarantor nullable array(CustomerGuarantor) max-items(4)
SubmitApplication > Request
List of Customer Guarantors

CustomerPrimaryBorrower

SubmitApplication > Request

Name Type Description
key required string max-length(256) ^\S+$ Key - see refkeys
correspondenceLanguage CorrespondenceLangugageType
Enums
Correspondence langugage type
dateBirth nullable string(date) YYYY-MM-DD Date of birth
honorific HonorificType
Enums
Title
lastName required string min-length(1) max-length(40) Last name
firstName required string min-length(1) max-length(30) First name
middleName nullable string max-length(30) ^[\s\S]*\S[\s\S]*$ Middle name
suffix SuffixType
Enums
Suffix
emailAddress1 nullable string max-length(100) ^[\s\S]*\S[\s\S]*$ Email address 1
emailAddress2 nullable string max-length(100) ^[\s\S]*\S[\s\S]*$ Email address 2
sin nullable string max-length(9) ^[\s\S]*\S[\s\S]*$ Social insurance number
maritalStatus MaritalStatusType
Enums
Marital status type
numberOfDependents nullable integer(int32) range(0,999) Number of dependents
sex Sex
Enums
Sex
residentType Resident
Enums
Resident
customerTelephoneNumberList nullable array(CustomerTelephoneNumber) max-items(99)
SubmitApplication > Request
Customer telephone number list
employmentList EmploymentList
SubmitApplication > Request
List of employments
bankruptcyHistoryList BankruptcyHistoryList
SubmitApplication > Request
List of Bankruptcy history
unearnedIncomeList UnearnedIncomeList
SubmitApplication > Request
List of unearned incomes
customerRelationship CustomerRelationship
SubmitApplication > Request
Customer relationship

CustomerTelephoneNumber

SubmitApplication > Request

Name Type Description
usage TelephoneUsageType
Enums
Telephone usage type
contactTime nullable string max-length(30) ^[\s\S]*\S[\s\S]*$ Contact time
preferred nullable boolean Preferred?
telephoneNumber required TelephoneNumber
SubmitApplication > Request
Telephone number

TelephoneNumber

SubmitApplication > Request

Name Type Description
countryCode nullable string max-length(3) ^\d+$ Country code
areaCode nullable string max-length(5) ^\d+$ Area code
phoneNumber required string max-length(30) ^\d+$ Phone number
phoneExtension nullable string max-length(8) ^\d+$ Phone extension

EmploymentList

SubmitApplication > Request

Name Type Description
employment nullable array(Employment) max-items(99)
SubmitApplication > Request
List of Employments

Employment

SubmitApplication > Request

Remarks

  • Only one of AddressCanada, AddressUSA or AddressOther may be provided
Name Type Description
employmentType EmploymentType
Enums
Employment type
employmentStatus EmploymentStatus
Enums
Employment status
dateStart required string(date) YYYY-MM-DD Start date
dateEnd nullable string(date) YYYY-MM-DD End date
industryType EmploymentIndustryType
Enums
Employment industry type
dateStartedInIndustry nullable string(date) YYYY-MM-DD Date started in industry
occupationType EmploymentOccupationType
Enums
Employment occupation type
jobTitle nullable string max-length(50) ^[\s\S]*\S[\s\S]*$ Job title
companyName nullable string max-length(45) ^[\s\S]*\S[\s\S]*$ Company name
companyType nullable string max-length(35) ^[\s\S]*\S[\s\S]*$ Company type
operatingAs nullable string max-length(35) ^[\s\S]*\S[\s\S]*$ Operating as
addressCanada AddressCanada
SubmitApplication > Request
Address (Canada)
addressUSA AddressUSA
SubmitApplication > Request
Address (USA)
addressOther AddressOther
SubmitApplication > Request
Address (Other)
earnedIncomeList EarnedIncomeList
SubmitApplication > Request
List of earned income
contactPerson ContactPerson
SubmitApplication > Request
Contact person
contactTelephoneNumber ContactTelephoneNumber
SubmitApplication > Request
Contact telephone number

AddressCanada

SubmitApplication > Request

Remarks

  • Only one of PostalAddressStreetAddress or PostalAddressPOBox needs to be provided
Name Type Description
cityTown required string min-length(1) max-length(40) City/town (municipality)
provinceCode required ProvinceStateCodeCanada
Enums
Province code (Canada)
postalCode required string ^[A-Za-z][0-9][A-Za-z][ ]?[0-9][A-Za-z][0-9]$ Postal code
postalAddressStreetAddress PostalAddressStreetAddress
SubmitApplication > Request
Postal address (Street address)
postalAddressPOBox PostalAddressPOBox
SubmitApplication > Request
Postal address (PO box)

AddressUSA

SubmitApplication > Request

Remarks

  • Only one of PostalAddressStreetAddress or PostalAddressPOBox needs to be provided
Name Type Description
cityTown required string min-length(1) max-length(40) City/town (municipality)
provinceCode required ProvinceStateCodeUSA
Enums
State Code (USA)
postalCode required string ^[0-9]{5}(-[0-9]{4})?$ Postal code
postalAddressStreetAddress PostalAddressStreetAddress
SubmitApplication > Request
Postal address (Street address)
postalAddressPOBox PostalAddressPOBox
SubmitApplication > Request
Postal address (PO box)

AddressOther

SubmitApplication > Request

Remarks

  • Only one of PostalAddressStreetAddress or PostalAddressPOBox needs to be provided
Name Type Description
cityTown required string min-length(1) max-length(40) City/town (municipality)
postalCode required string max-length(10) Postal code
postalAddressStreetAddress PostalAddressStreetAddress
SubmitApplication > Request
Postal address (Street address)
postalAddressPOBox PostalAddressPOBox
SubmitApplication > Request
Postal address (PO box)

EarnedIncomeList

SubmitApplication > Request

Name Type Description
earnedIncome nullable array(EarnedIncome) max-items(99)
SubmitApplication > Request
List of Earned incomes

EarnedIncome

SubmitApplication > Request

Name Type Description
earnedIncomeType required EarnedIncomeType
Enums
Earned income type
paymentFrequency required PaymentFrequency
Enums
Payment frequency
earnedIncomeAmount required number(double) range(0,9999999.99) Earned income amount

ContactPerson

SubmitApplication > Request

Name Type Description
honorific HonorificType
Enums
Title
lastName required string min-length(1) max-length(40) Last name
firstName required string min-length(1) max-length(30) First name
emailAddress nullable string max-length(100) ^[\s\S]*\S[\s\S]*$ Email address

ContactTelephoneNumber

SubmitApplication > Request

Name Type Description
usage ContactTelephoneUsageType
Enums
Contact telephone usage type
contactTime nullable string max-length(30) ^[\s\S]*\S[\s\S]*$ Contact time
telephoneNumber required TelephoneNumber
SubmitApplication > Request
Telephone number

BankruptcyHistoryList

SubmitApplication > Request

Name Type Description
bankruptcyHistory nullable array(BankruptcyHistory) max-items(99)
SubmitApplication > Request
List of Bankruptcy history

BankruptcyHistory

SubmitApplication > Request

Name Type Description
debtAmount nullable number(double) range(0,99999999.99) Debt amount
dateDeclared nullable string(date) YYYY-MM-DD Date declared
dateDischarged required string(date) YYYY-MM-DD Date discharged
monthlyRepayment nullable number(double) range(0,9999999.99) Monthly repayment
otherDetails nullable string max-length(255) ^[\s\S]*\S[\s\S]*$ Other details

UnearnedIncomeList

SubmitApplication > Request

Name Type Description
unearnedIncome nullable array(UnearnedIncome) max-items(99)
SubmitApplication > Request
List of Unearned incomes

UnearnedIncome

SubmitApplication > Request

Name Type Description
unearnedIncomeAmount nullable number(double) range(0,9999999.99) Unearned income amount
unearnedIncomeType required UnearnedIncomeType
Enums
Unearned income type
paymentFrequency required PaymentFrequency
Enums
Payment frequency
unearnedIncomeDetails nullable string max-length(255) ^[\s\S]*\S[\s\S]*$ Unearned income details

CustomerRelationship

SubmitApplication > Request

Name Type Description
relationshipToOwnerType ApplicantRelationship
Enums
Applicant relationship

CustomerBorrower

SubmitApplication > Request

Name Type Description
key required string max-length(256) ^\S+$ Key - see refkeys
correspondenceLanguage CorrespondenceLangugageType
Enums
Correspondence langugage type
dateBirth nullable string(date) YYYY-MM-DD Date of birth
honorific HonorificType
Enums
Title
lastName required string min-length(1) max-length(40) Last name
firstName required string min-length(1) max-length(30) First name
middleName nullable string max-length(30) ^[\s\S]*\S[\s\S]*$ Middle name
suffix SuffixType
Enums
Suffix
emailAddress1 nullable string max-length(100) ^[\s\S]*\S[\s\S]*$ Email address 1
emailAddress2 nullable string max-length(100) ^[\s\S]*\S[\s\S]*$ Email address 2
sin nullable string max-length(9) ^[\s\S]*\S[\s\S]*$ Social insurance number
maritalStatus MaritalStatusType
Enums
Marital status type
numberOfDependents nullable integer(int32) range(0,999) Number of dependents
sex Sex
Enums
Sex
residentType Resident
Enums
Resident
customerTelephoneNumberList nullable array(CustomerTelephoneNumber) max-items(99)
SubmitApplication > Request
Customer telephone number list
employmentList EmploymentList
SubmitApplication > Request
List of employments
bankruptcyHistoryList BankruptcyHistoryList
SubmitApplication > Request
List of Bankruptcy history
unearnedIncomeList UnearnedIncomeList
SubmitApplication > Request
List of unearned incomes
customerRelationship CustomerRelationship
SubmitApplication > Request
Customer relationship

CustomerGuarantor

SubmitApplication > Request

Name Type Description
key required string max-length(256) ^\S+$ Key - see refkeys
correspondenceLanguage CorrespondenceLangugageType
Enums
Correspondence langugage type
dateBirth nullable string(date) YYYY-MM-DD Date of birth
honorific HonorificType
Enums
Title
lastName required string min-length(1) max-length(40) Last name
firstName required string min-length(1) max-length(30) First name
middleName nullable string max-length(30) ^[\s\S]*\S[\s\S]*$ Middle name
suffix SuffixType
Enums
Suffix
emailAddress1 nullable string max-length(100) ^[\s\S]*\S[\s\S]*$ Email address 1
emailAddress2 nullable string max-length(100) ^[\s\S]*\S[\s\S]*$ Email address 2
sin nullable string max-length(9) ^[\s\S]*\S[\s\S]*$ Social insurance number
maritalStatus MaritalStatusType
Enums
Marital status type
numberOfDependents nullable integer(int32) range(0,999) Number of dependents
sex Sex
Enums
Sex
residentType Resident
Enums
Resident
customerTelephoneNumberList nullable array(CustomerTelephoneNumber) max-items(99)
SubmitApplication > Request
Customer telephone number list
employmentList EmploymentList
SubmitApplication > Request
List of employments
bankruptcyHistoryList BankruptcyHistoryList
SubmitApplication > Request
List of Bankruptcy history
unearnedIncomeList UnearnedIncomeList
SubmitApplication > Request
List of unearned incomes
customerRelationship CustomerRelationship
SubmitApplication > Request
Customer relationship

CustomerAddressList

SubmitApplication > Request

Remarks

  • Use one address entry when multiple customers share the same RefkeyAddress, Type, and occupancy
  • Customer-specific details, such as time at address or joined liabilities, may reference only the applicable customer or customers
  • Any nested customer reference in an address entry must also be listed in that entry's CustomerReference
  • Use separate address entries when customers have different address usage or occupancy
Name Type Description
items nullable array(CustomerAddress)
SubmitApplication > Request
List of customer addresses
customerAddressPrimaryResidence nullable array(CustomerAddressPrimaryResidence) min-items(1) max-items(99)
SubmitApplication > Request
List of Customer addresses (Primary residence)
customerAddressPreviousResidence nullable array(CustomerAddressPreviousResidence) max-items(99)
SubmitApplication > Request
List of Customer addresses (Previous residence)
customerAddressSecondaryResidence nullable array(CustomerAddressSecondaryResidence) max-items(99)
SubmitApplication > Request
List of Customer addresses (Secondary residence)
customerAddressVacationProperty nullable array(CustomerAddressVacationProperty) max-items(99)
SubmitApplication > Request
List of Customer addresses (Vacation property)
customerAddressInvestmentProperty nullable array(CustomerAddressInvestmentProperty) max-items(99)
SubmitApplication > Request
List of Customer addresses (Investment property)
customerAddressCorrespondence nullable array(CustomerAddressCorrespondence) max-items(99)
SubmitApplication > Request
List of Customer addresses (Correspondence)

CustomerAddress

SubmitApplication > Request

Name Type Description
type required string

CustomerAddressPrimaryResidence

SubmitApplication > Request

Remarks

  • Only one of AddressOccupancyOwnerOccupied, AddressOccupancyPartialOwnerOccupied, AddressOccupancyRental or AddressOccupancyTenant needs to be provided
Name Type Description
currentPropertyIntendedActionType CurrentPropertyIntendedAction
Enums
Current property intended action
annualHeatingAmount nullable number(double) range(0,9999999.99) Annual heating amount
annualTaxAmount nullable number(double) range(0,9999999.99) Annual tax amount
annualCondoFees nullable number(double) range(0,9999999.99) Annual condo fees
refkeyAddress required string max-length(256) ^\S+$ Address key (see Refkeys)
includeInTDS nullable boolean Include in TDS?
customerReference nullable array(CustomerReference) min-items(1) max-items(99999)
SubmitApplication > Request
List of Customer reference
customerCurrentAddressTimeAt nullable array(CustomerCurrentAddressTimeAt) max-items(99)
SubmitApplication > Request
List of CustomerCurrentAddressTimeAts
customerLiabilityRealEstate nullable array(CustomerLiabilityRealEstate) max-items(99)
SubmitApplication > Request
List of customer liabilities (Real estate)
addressOccupancyOwnerOccupied AddressOccupancyOwnerOccupied
SubmitApplication > Request
Address occupancy - Owner Occupied
addressOccupancyPartialOwnerOccupied AddressOccupancyPartialOwnerOccupied
SubmitApplication > Request
Address occupancy - Partial Owner Occupied
addressOccupancyRental AddressOccupancyRental
SubmitApplication > Request
Address occupancy - Rental
addressOccupancyTenant AddressOccupancyTenant
SubmitApplication > Request
Address occupancy - Tenant

CustomerReference

SubmitApplication > Request

Name Type Description
refkeyCustomer required string max-length(256) ^\S+$ Customer key (see Refkeys)

CustomerCurrentAddressTimeAt

SubmitApplication > Request

Name Type Description
fromDate required string(date) YYYY-MM-DD From date
refkeyCustomer required string max-length(256) ^\S+$ Customer key (see Refkeys)

CustomerLiabilityRealEstate

SubmitApplication > Request

Name Type Description
refkeyLiability required string max-length(256) ^\S+$ Liability key (see Refkeys)
customerReference required CustomerReference
SubmitApplication > Request
Customer reference

AddressOccupancyOwnerOccupied

SubmitApplication > Request

Name Type Description
refkeyAsset required string max-length(256) ^\S+$ Asset key (see Refkeys)

AddressOccupancyPartialOwnerOccupied

SubmitApplication > Request

Name Type Description
refkeyAsset required string max-length(256) ^\S+$ Asset key (see Refkeys)
rentalDetails required RentalDetails
SubmitApplication > Request
Rental details

RentalDetails

SubmitApplication > Request

Name Type Description
annualGrossRentalIncome required number(double) range(0,9999999.99) Annual gross rental income
managementExpenses nullable number(double) range(0,9999999.99) Management expenses
insurance nullable number(double) range(0,9999999.99) Insurance
hydro nullable number(double) range(0,9999999.99) Hydro
waterAndSewer nullable number(double) range(0,9999999.99) Water and sewer
maintenanceAndRepairs nullable number(double) range(0,9999999.99) Maintenance and repairs
interest nullable number(double) range(0,9999999.99) Interest
generalExpenses nullable number(double) range(0,9999999.99) General expenses
rentalOffset RentalOffset
Enums
Rental offset
rentalCalcType RentalCalcType
Enums
Rental calculation type

AddressOccupancyRental

SubmitApplication > Request

Name Type Description
refkeyAsset required string max-length(256) ^\S+$ Asset key (see Refkeys)
rentalDetails required RentalDetails
SubmitApplication > Request
Rental details

AddressOccupancyTenant

SubmitApplication > Request

Name Type Description
monthlyRentPaid required number(double) range(0,9999999.99) Monthly rent paid
tenancyType TenancyType
Enums
Tenancy type

CustomerAddressPreviousResidence

SubmitApplication > Request

Remarks

  • Only one of PreviousAddressOccupancyNone, PreviousAddressOccupancyOwnerOccupied, PreviousAddressOccupancyPartialOwnerOccupied, PreviousAddressOccupancyRental or PreviousAddressOccupancyTenant needs to be provided
Name Type Description
refkeyAddress required string max-length(256) ^\S+$ Address key (see Refkeys)
customerReference nullable array(CustomerReference) min-items(1) max-items(99)
SubmitApplication > Request
List of Customer reference
customerPreviousAddressTimeAt nullable array(CustomerPreviousAddressTimeAt) max-items(99)
SubmitApplication > Request
List of CustomerPreviousAddressTimeAt
previousAddressOccupancyNone Empty object Previous address occupancy - None
previousAddressOccupancyOwnerOccupied Empty object Previous address occupancy - Owner Occupied
previousAddressOccupancyPartialOwnerOccupied Empty object Previous address occupancy - Partial Owner Occupied
previousAddressOccupancyRental Empty object Previous address occupancy - Rental
previousAddressOccupancyTenant PreviousAddressOccupancyTenant
SubmitApplication > Request
Previous address occupancy - Tenant

CustomerPreviousAddressTimeAt

SubmitApplication > Request

Name Type Description
fromDate required string(date) YYYY-MM-DD From date
toDate required string(date) YYYY-MM-DD To date
refkeyCustomer required string max-length(256) ^\S+$ Customer key (see Refkeys)

PreviousAddressOccupancyTenant

SubmitApplication > Request

Name Type Description
tenancyType TenancyType
Enums
Tenancy type

CustomerAddressSecondaryResidence

SubmitApplication > Request

Remarks

  • Only one of AddressOccupancyOwnerOccupied, AddressOccupancyPartialOwnerOccupied, AddressOccupancyRental or AddressOccupancySecondHome needs to be provided
Name Type Description
currentPropertyIntendedActionType CurrentPropertyIntendedAction
Enums
Current property intended action
annualHeatingAmount nullable number(double) range(0,9999999.99) Annual heating amount
annualTaxAmount nullable number(double) range(0,9999999.99) Annual tax amount
annualCondoFees nullable number(double) range(0,9999999.99) Annual condo fees
refkeyAddress required string max-length(256) ^\S+$ Address key (see Refkeys)
includeInTDS nullable boolean Include in TDS?
customerReference nullable array(CustomerReference) min-items(1) max-items(99)
SubmitApplication > Request
List of Customer reference
customerCurrentAddressTimeAt nullable array(CustomerCurrentAddressTimeAt) max-items(99)
SubmitApplication > Request
List of CustomerCurrentAddressTimeAts
customerLiabilityRealEstate nullable array(CustomerLiabilityRealEstate) max-items(99)
SubmitApplication > Request
List of customer liabilities (Real estate)
addressOccupancyOwnerOccupied AddressOccupancyOwnerOccupied
SubmitApplication > Request
Address occupancy - Owner Occupied
addressOccupancyPartialOwnerOccupied AddressOccupancyPartialOwnerOccupied
SubmitApplication > Request
Address occupancy - Partial Owner Occupied
addressOccupancyRental AddressOccupancyRental
SubmitApplication > Request
Address occupancy - Rental
addressOccupancySecondHome AddressOccupancySecondHome
SubmitApplication > Request
Address occupancy - Second Home

AddressOccupancySecondHome

SubmitApplication > Request

Name Type Description
refkeyAsset required string max-length(256) ^\S+$ Asset key (see Refkeys)

CustomerAddressVacationProperty

SubmitApplication > Request

Remarks

  • Only one of AddressOccupancyOwnerOccupied, AddressOccupancyPartialOwnerOccupied, AddressOccupancyRental or AddressOccupancySecondHome needs to be provided
Name Type Description
currentPropertyIntendedActionType CurrentPropertyIntendedAction
Enums
Current property intended action
annualHeatingAmount nullable number(double) range(0,9999999.99) Annual heating amount
annualTaxAmount nullable number(double) range(0,9999999.99) Annual tax amount
annualCondoFees nullable number(double) range(0,9999999.99) Annual condo fees
refkeyAddress required string max-length(256) ^\S+$ Address key (see Refkeys)
includeInTDS nullable boolean Include in TDS?
customerReference nullable array(CustomerReference) min-items(1) max-items(99)
SubmitApplication > Request
List of Customer reference
customerCurrentAddressTimeAt nullable array(CustomerCurrentAddressTimeAt) max-items(99)
SubmitApplication > Request
List of CustomerCurrentAddressTimeAts
customerLiabilityRealEstate nullable array(CustomerLiabilityRealEstate) max-items(99)
SubmitApplication > Request
List of customer liabilities (Real estate)
addressOccupancyOwnerOccupied AddressOccupancyOwnerOccupied
SubmitApplication > Request
Address occupancy - Owner Occupied
addressOccupancyPartialOwnerOccupied AddressOccupancyPartialOwnerOccupied
SubmitApplication > Request
Address occupancy - Partial Owner Occupied
addressOccupancyRental AddressOccupancyRental
SubmitApplication > Request
Address occupancy - Rental
addressOccupancySecondHome AddressOccupancySecondHome
SubmitApplication > Request
Address occupancy - Second Home

CustomerAddressInvestmentProperty

SubmitApplication > Request

Remarks

  • Only one of AddressOccupancyOwnerOccupied, AddressOccupancyPartialOwnerOccupied, AddressOccupancyRental or AddressOccupancySecondHome needs to be provided
Name Type Description
currentPropertyIntendedActionType CurrentPropertyIntendedAction
Enums
Current property intended action
annualHeatingAmount nullable number(double) range(0,9999999.99) Annual heating amount
annualTaxAmount nullable number(double) range(0,9999999.99) Annual tax amount
annualCondoFees nullable number(double) range(0,9999999.99) Annual condo fees
refkeyAddress required string max-length(256) ^\S+$ Address key (see Refkeys)
includeInTDS nullable boolean Include in TDS?
customerReference nullable array(CustomerReference) min-items(1) max-items(99)
SubmitApplication > Request
List of Customer reference
customerCurrentAddressTimeAt nullable array(CustomerCurrentAddressTimeAt) max-items(99)
SubmitApplication > Request
List of CustomerCurrentAddressTimeAts
customerLiabilityRealEstate nullable array(CustomerLiabilityRealEstate) max-items(99)
SubmitApplication > Request
List of customer liabilities (Real estate)
addressOccupancyOwnerOccupied AddressOccupancyOwnerOccupied
SubmitApplication > Request
Address occupancy - Owner Occupied
addressOccupancyPartialOwnerOccupied AddressOccupancyPartialOwnerOccupied
SubmitApplication > Request
Address occupancy - Partial Owner Occupied
addressOccupancyRental AddressOccupancyRental
SubmitApplication > Request
Address occupancy - Rental
addressOccupancySecondHome AddressOccupancySecondHome
SubmitApplication > Request
Address occupancy - Second Home

CustomerAddressCorrespondence

SubmitApplication > Request

Name Type Description
refkeyAddress required string max-length(256) ^\S+$ Address key (see Refkeys)
annualHeatingAmount nullable number(double) range(0,9999999.99) Annual heating amount
annualTaxAmount nullable number(double) range(0,9999999.99) Annual tax amount
annualCondoFees nullable number(double) range(0,9999999.99) Annual condo fees
includeInTDS nullable boolean Include in TDS?
customerReference nullable array(CustomerReference) min-items(1) max-items(99)
SubmitApplication > Request
List of Customer reference
customerCurrentAddressTimeAt nullable array(CustomerCurrentAddressTimeAt) max-items(99)
SubmitApplication > Request
List of CustomerCurrentAddressTimeAts
addressOccupancyNone required Empty object Address occupancy - None

CustomerAssetOther

SubmitApplication > Request

Name Type Description
refkeyAsset required string max-length(256) ^\S+$ Asset key (see Refkeys)
customerReference required CustomerReference
SubmitApplication > Request
Customer reference

CustomerLiabilityOther

SubmitApplication > Request

Name Type Description
refkeyLiability required string max-length(256) ^\S+$ Liability key (see Refkeys)
customerReference required CustomerReference
SubmitApplication > Request
Customer reference

CustomerCreditBureau

SubmitApplication > Request

Name Type Description
refkeyCreditBureau required string max-length(256) ^\S+$ Credit bureau key (see Refkeys)
customerReference nullable array(CustomerReference) min-items(1) max-items(2)
SubmitApplication > Request
List of Customer reference

MortgageApplication

SubmitApplication > Request

Name Type Description
applicationNumber nullable string max-length(12) ^[A-Z][0-9]{9}$ Application number
brokerRefNumber nullable string min-length(1) max-length(50) Broker reference number
posApplicationNumber nullable string min-length(1) max-length(20) PoS application number
isPreapproval nullable boolean Is pre-approval?
fundingDate nullable string(date) YYYY-MM-DD Funding date
loanPurposeType LoanPurposeType
Enums
Loan purpose type
purchasePriceEstimatedValue nullable number(double) range(0,99999999.99) Purchase price/estimated value
improvements nullable number(double) range(0,99999999.99) Improvements
typeOfBuyer required TypeOfBuyer
Enums
Type of buyer
additionalPurpose nullable string max-length(80) ^[\s\S]*\S[\s\S]*$ Additional purpose
improveDescription nullable string max-length(80) ^[\s\S]*\S[\s\S]*$ Improve description
subjectProperty SubjectProperty
SubmitApplication > Request
Subject property
loan required Loan
SubmitApplication > Request
Loan
downpaymentList DownpaymentList
SubmitApplication > Request
List of downpayments
firm Firm
SubmitApplication > Request
Firm
submittingAgent required SubmittingAgent
SubmitApplication > Request
Submitting Agent. Represents a broker of the deal
originatingAgent OriginatingAgent
SubmitApplication > Request
Originating Agent. Represents an owner of the deal
broker Broker
SubmitApplication > Request
Broker. Represents a submission agent
owner Owner
SubmitApplication > Request
Owner. Represents a submission agent of the deal (if not provided

SubjectProperty

SubmitApplication > Request

Remarks

  • Only one of SubjectPropertyOccupancyOwnerOccupied, SubjectPropertyOccupancyPartialOwnerOccupied, SubjectPropertyOccupancyRental or SubjectPropertyOccupancySecondHome needs to be provided
  • Only one of Freehold, Leasehold or Condo needs to be provided
Name Type Description
occupancyPurpose SubjectPropertyOccupancyPurpose
Enums
Occupancy purpose. Required for Approval submission only
mlsListed nullable boolean MLS listed
mlsNumber nullable string max-length(30) ^[\s\S]*\S[\s\S]*$ MLS number
heatingType HeatingType
Enums
Heating type
parkingType ParkingType
Enums
Parking type
yearBuilt nullable integer(int32) range(1,3000) Year built
waterSupplyType WaterSupplyType
Enums
Water supply type
waterWasteType WaterWasteType
Enums
Water waste type
propertySize nullable integer(int32) range(0,99999) Property size
propertySizeUnits AreaMeasurementType
Enums
Property size units
lotSize nullable integer(int64) range(0,99999999999) Lot size
lotSizeUnits AreaMeasurementType
Enums
Lot size units
environmentalHazardIndicator nullable boolean Environmental hazard indicator
buildingConstructionType BuildingConstructionType
Enums
Building construction type
annualHeatingAmount required number(double) range(0,9999999.99) Annual heating amount
numberOfUnitsTotal nullable integer(int32) range(1,99) Number of units total
numberOfUnitsRented nullable integer(int32) range(0,99) Number of units rented
propertyType PropertyType
Enums
Property type
propertyDescriptionType PropertyDescriptionType
Enums
Property description type
propertyUsageType PropertyUsageType
Enums
Property usage type. Required for Approval submission only
selfBuildIndicator nullable boolean Self-build?
propertyZoningType PropertyZoningType
Enums
Property zoning type. Required for Approval submission only
newPropertyIndicator nullable boolean New property?
cof nullable string(date) YYYY-MM-DD COF (Condition of finance) date
subjectPropertyOccupancyOwnerOccupied Empty object Subject property occupancy - Owner occupied
subjectPropertyOccupancyPartialOwnerOccupied SubjectPropertyOccupancyPartialOwnerOccupied
SubmitApplication > Request
Subject property occupancy - Partial Owner Occupied
subjectPropertyOccupancyRental SubjectPropertyOccupancyRental
SubmitApplication > Request
Subject property occupancy - Rental
subjectPropertyOccupancySecondHome Empty object Subject property occupancy - Second Home
legalAddress LegalAddress
SubmitApplication > Request
Legal address
freehold Empty object Freehold
leasehold Leasehold
SubmitApplication > Request
Leasehold
condo Condo
SubmitApplication > Request
Condo
propertyTax required PropertyTax
SubmitApplication > Request
Property tax
propertyAppraisal PropertyAppraisal
SubmitApplication > Request
Property appraisal
subjectPropertyAddress required SubjectPropertyAddress
SubmitApplication > Request
Subject property address
subjectPropertyInsuranceConsent SubjectPropertyInsuranceConsent
SubmitApplication > Request
Subject property insurance consent

SubjectPropertyOccupancyPartialOwnerOccupied

SubmitApplication > Request

Name Type Description
rentalDetails required RentalDetails
SubmitApplication > Request
Rental details

SubjectPropertyOccupancyRental

SubmitApplication > Request

Name Type Description
rentalDetails required RentalDetails
SubmitApplication > Request
Rental details

LegalAddress

SubmitApplication > Request

Name Type Description
details nullable string max-length(255) ^[\s\S]*\S[\s\S]*$ Details
pin nullable string max-length(30) ^[\s\S]*\S[\s\S]*$ PIN
lotNumber nullable string max-length(30) ^[\s\S]*\S[\s\S]*$ Lot number
planNumber nullable string max-length(30) ^[\s\S]*\S[\s\S]*$ Plan number
unitNumber nullable string max-length(30) ^[\s\S]*\S[\s\S]*$ Unit number
levelNumber nullable string max-length(30) ^[\s\S]*\S[\s\S]*$ Level number

Leasehold

SubmitApplication > Request

Name Type Description
annualLeaseAmount nullable number(double) range(0,9999999.99) Annual lease amount

Condo

SubmitApplication > Request

Name Type Description
annualCondoFees nullable number(double) range(0,9999999.99) Annual condo fees

PropertyTax

SubmitApplication > Request

Name Type Description
annualTaxAmount required number(double) range(0,9999999.99) Annual tax amount
taxesPaidBy PropertyTaxPayor
Enums
Taxes paid by

PropertyAppraisal

SubmitApplication > Request

Name Type Description
appraisedValue nullable number(double) range(0,99999999.99) Appraised value
dateAppraised nullable string(date) YYYY-MM-DD Date appraised
companyName nullable string ^[\s\S]*\S[\s\S]*$ Company name
appraiserAddress AppraiserAddress
SubmitApplication > Request
Appraiser address

AppraiserAddress

SubmitApplication > Request

Remarks

  • Only one of PostalAddressStreetAddress or PostalAddressPOBox needs to be provided
Name Type Description
cityTown required string min-length(1) max-length(40) City/town (municipality)
provinceCode required ProvinceStateCodeCanada
Enums
Province code (Canada)
postalCode required string ^[A-Za-z][0-9][A-Za-z][ ]?[0-9][A-Za-z][0-9]$ Postal code
key required string max-length(256) ^\S+$ Address key (see Refkeys)
postalAddressStreetAddress PostalAddressStreetAddress
SubmitApplication > Request
Postal address (Street address)
postalAddressPOBox PostalAddressPOBox
SubmitApplication > Request
Postal address (PO box)

SubjectPropertyAddress

SubmitApplication > Request

Name Type Description
refkeyAddress required string max-length(256) ^\S+$ Address key (see Refkeys)

SubjectPropertyInsuranceConsent

SubmitApplication > Request

Name Type Description
consentFlag required boolean Consent flag
consentDate required string(date) YYYY-MM-DD Consent date

Loan

SubmitApplication > Request

Remarks

  • Only one of CMHCMortgageInsurance, GEMortgageInsurance, SagenMortgageInsurance, CanadaGuarantyMortgageInsurance or OtherMortgageInsurance may be provided
  • Only one of LenderProduct or CustomProduct needs to be provided
  • underwriter is only required when lender underwriters are listed in Lender Details
Name Type Description
loanAmount required number(double) range(0,99999999.99) Loan amount
chargeType required ChargeType
Enums
Charge type
lineOfBusiness LineOfBusiness
Enums
Line of business
termMonths nullable integer(int32) range(1,999) Term (months)
amortizationMonths nullable integer(int32) range(0,999) Amortization (months)
netRate nullable number(double) range(0,999.99) Net rate
qualifyingRate required number(double) range(0,999.99) Qualifying rate
acceleratedPayment nullable boolean Accelerated payment
maturityDate nullable string(date) YYYY-MM-DD Maturity date. Required for Approval submission only
firstPaymentDate nullable string(date) YYYY-MM-DD First payment date
interestAdjustmentDate nullable string(date) YYYY-MM-DD Interest adjustment date
requestedPayment nullable number(double) range(0,999999.99) Requested payment. Required for Approval submission only
paymentAmount nullable number(double) range(0,999999.99) Payment amount
paymentFrequency PaymentFrequency
Enums
Payment frequency
repaymentType required LoanRepaymentType
Enums
Loan repayment type
lenderCode required integer(int32) range(1000,9999) Lender code
lenderChannel nullable integer(int32) range(0,9999) Lender channel
variableToPrime nullable string Variable to prime
cmhcMortgageInsurance CMHCMortgageInsurance
SubmitApplication > Request
CMHC mortgage insurance
geMortgageInsurance GEMortgageInsurance
SubmitApplication > Request
Genworth mortgage insurance
sagenMortgageInsurance SagenMortgageInsurance
SubmitApplication > Request
Sagen mortgage insurance
canadaGuarantyMortgageInsurance CanadaGuarantyMortgageInsurance
SubmitApplication > Request
CanadaGuaranty mortgage insurance
otherMortgageInsurance OtherMortgageInsurance
SubmitApplication > Request
Other mortgage insurance
lenderProduct LenderProduct
SubmitApplication > Request
Lender product
customProduct CustomProduct
SubmitApplication > Request
Custom product
underwriter Underwriter
SubmitApplication > Request
Underwriter
classification nullable array(Classification) max-items(99)
SubmitApplication > Request
List of Classifications

CMHCMortgageInsurance

SubmitApplication > Request

Name Type Description
insurancePremium required number(double) range(0,999999.99) Insurance premium
blendedAmortization nullable boolean Blended amortization
addToLoan nullable boolean Add to loan?
serviceType CMHCServiceType
Enums
CMHC service type

GEMortgageInsurance

SubmitApplication > Request

Name Type Description
insurancePremium required number(double) range(0,999999.99) Insurance premium
blendedAmortization nullable boolean Blended amortization
addToLoan nullable boolean Add to loan?
serviceType GEServiceType
Enums
GE service type

SagenMortgageInsurance

SubmitApplication > Request

Name Type Description
insurancePremium required number(double) range(0,999999.99) Insurance premium
blendedAmortization nullable boolean Blended amortization
addToLoan nullable boolean Add to loan?
serviceType SagenServiceType
Enums
Sagen service type

CanadaGuarantyMortgageInsurance

SubmitApplication > Request

Name Type Description
insurancePremium required number(double) range(0,999999.99) Insurance premium
blendedAmortization nullable boolean Blended amortization
addToLoan nullable boolean Add to loan?
serviceType CanadaGuarantyServiceType
Enums
Canada Guaranty service type

OtherMortgageInsurance

SubmitApplication > Request

Name Type Description
insurancePremium required number(double) range(0,999999.99) Insurance premium
blendedAmortization nullable boolean Blended amortization
addToLoan nullable boolean Add to loan?
serviceType OtherServiceType
Enums
Other mortgage insurer service type

LenderProduct

SubmitApplication > Request

Name Type Description
adjustment nullable number(double) range(-999.99,999.99) Adjustment
buydown nullable number(double) range(-999.99,999.99) Buydown
productCode required string max-length(10) Product code
productStartDate required string(date-time) YYYY-MM-DDTHH:MM:SS Product start date

CustomProduct

SubmitApplication > Request

Name Type Description
adjustment nullable number(double) range(-999.99,999.99) Adjustment
buydown nullable number(double) range(-999.99,999.99) Buydown
productCode nullable string max-length(10) Product code
productName nullable string max-length(50) Product name
rateType required RateType
Enums
Rate type
rateCompoundFrequency required RateCompoundFrequency
Enums
Rate compound frequency
postedRate required number(double) range(0,999.99) Posted rate
productTerm required integer(int32) minimum(1) Product term (month)
earlyPayoutOption EarlyPayoutOptionType
Enums
Early payout option type
prePaymentOptionPercent PrePaymentOptionPercentType
Enums
Pre-payment option percent type
locIndicator nullable boolean
locRepayment LoCRepaymentType
Enums
LoC repayment type

Underwriter

SubmitApplication > Request

Name Type Description
userId required string max-length(10) ^\S+$ Underwriter user Id
unitId required string max-length(4) ^[A-Z0-9]{3,4}$ Underwriter unit Id

Classification

SubmitApplication > Request

Name Type Description
mortgageClassification required MortgageClassification
Enums
Mortgage classification

DownpaymentList

SubmitApplication > Request

Name Type Description
downpayment nullable array(Downpayment) max-items(99)
SubmitApplication > Request
List of Downpayments

Downpayment

SubmitApplication > Request

Name Type Description
downpaymentSourceType required DownpaymentSourceType
Enums
Downpayment source type
description nullable string max-length(100) Downpayment description
amount required number(double) range(0,99999999.99) Downpayment amount

Firm

SubmitApplication > Request

Name Type Description
firmId required string max-length(4) ^[A-Z0-9]{3,4}$ Firm Id
name nullable string max-length(50) ^[\s\S]*\S[\s\S]*$ Firm name
externalPoSFirm nullable array(ExternalPoSFirm) max-items(99)
SubmitApplication > Request
List of External PoS firms

ExternalPoSFirm

SubmitApplication > Request

Name Type Description
posSystemId required integer(int32) range(0,9999) PoS system id
firmId required string min-length(1) max-length(50) Firm Id

SubmittingAgent

SubmitApplication > Request

Remarks

  • Only one of AddressCanada, AddressUSA or AddressOther may be provided
Name Type Description
userId nullable string max-length(10) ^\S+$ User Id
firstName required string max-length(40) First name
lastName required string max-length(40) Last name
emailAddress required string max-length(100) Email address
languagePreference Language
Enums
Language Preference
mortgageLicenseNumber nullable string max-length(10) Mortgage license number
externalPoSUser nullable array(ExternalPoSUser) max-items(99)
SubmitApplication > Request
List of External PoS users
addressCanada AddressCanada
SubmitApplication > Request
Address (Canada)
userTelephoneNumber nullable array(UserTelephoneNumber) max-items(99)
SubmitApplication > Request
List of User telephone numbers

ExternalPoSUser

SubmitApplication > Request

Name Type Description
posSystemId required integer(int32) range(0,9999) PoS system id
firmId required string min-length(1) max-length(50) Firm Id
userId required string min-length(1) max-length(50) User Id
userName nullable string max-length(50) ^[a-zA-Z][-a-zA-Z0-9_.]*$ User name

UserTelephoneNumber

SubmitApplication > Request

Name Type Description
usage ContactTelephoneUsageType
Enums
Telephone usage type
telephoneNumber required TelephoneNumber
SubmitApplication > Request
Telephone number

OriginatingAgent

SubmitApplication > Request

Remarks

  • Only one of AddressCanada, AddressUSA or AddressOther may be provided
Name Type Description
userId nullable string max-length(10) ^\S+$ User Id
firstName required string max-length(40) First name
lastName required string max-length(40) Last name
emailAddress required string max-length(100) Email address
languagePreference Language
Enums
Language Preference
mortgageLicenseNumber nullable string max-length(10) Mortgage license number
externalPoSUser nullable array(ExternalPoSUser) max-items(99)
SubmitApplication > Request
List of External PoS users
addressCanada AddressCanada
SubmitApplication > Request
Address (Canada)
userTelephoneNumber nullable array(UserTelephoneNumber) max-items(99)
SubmitApplication > Request
List of User telephone numbers

Broker

SubmitApplication > Request

Remarks

  • Only one of AddressCanada, AddressUSA or AddressOther may be provided
Name Type Description
userId nullable string max-length(10) ^\S+$ User Id
firstName required string max-length(40) First name
lastName required string max-length(40) Last name
emailAddress required string max-length(100) Email address
languagePreference Language
Enums
Language Preference
mortgageLicenseNumber nullable string max-length(10) Mortgage license number
externalPoSUser nullable array(ExternalPoSUser) max-items(99)
SubmitApplication > Request
List of External PoS users
addressCanada AddressCanada
SubmitApplication > Request
Address (Canada)
userTelephoneNumber nullable array(UserTelephoneNumber) max-items(99)
SubmitApplication > Request
List of User telephone numbers

Owner

SubmitApplication > Request

Remarks

  • Only one of AddressCanada, AddressUSA or AddressOther may be provided
Name Type Description
userId nullable string max-length(10) ^\S+$ User Id
firstName required string max-length(40) First name
lastName required string max-length(40) Last name
emailAddress required string max-length(100) Email address
languagePreference Language
Enums
Language Preference
mortgageLicenseNumber nullable string max-length(10) Mortgage license number
externalPoSUser nullable array(ExternalPoSUser) max-items(99)
SubmitApplication > Request
List of External PoS users
addressCanada AddressCanada
SubmitApplication > Request
Address (Canada)
userTelephoneNumber nullable array(UserTelephoneNumber) max-items(99)
SubmitApplication > Request
List of User telephone numbers

Responses

Sample Response

200 Response

{
  "mortgageApplication": {
    "applicationNumber": "M101338314",
    "brokerRefNumber": "XDTB.0003561",
    "submittingAgent": {
      "userId": "asmythe100"
    },
    "originatingAgent": {
      "userId": "sworth100"
    },
    "broker": {
      "userId": "asmythe100"
    }
  },
  "status": "ok"
}
Status Schema
200 OK SubmitApplication > Response

Response

SubmitApplication

Name Type Description
error nullable array(ServiceError) List of errors
status required ResponseStatus
Enums
mortgageApplication MortgageApplication
SubmitApplication > Response
Mortgage application

MortgageApplication

SubmitApplication > Response

Name Type Description
applicationNumber required string max-length(12) ^[A-Z][0-9]{9}$ Application number
brokerRefNumber nullable string min-length(1) max-length(50) Broker reference number
lenderChannel nullable integer(int32) range(0,9999) Lender channel
submittingAgent required SubmittingAgent
SubmitApplication > Response
Submitting agent
originatingAgent OriginatingAgent
SubmitApplication > Response
Originating agent
broker Broker
SubmitApplication > Response
Broker
owner Owner
SubmitApplication > Response
Owner

SubmittingAgent

SubmitApplication > Response

Name Type Description
userId nullable string max-length(10) ^\S+$ User Id

OriginatingAgent

SubmitApplication > Response

Name Type Description
userId nullable string max-length(10) ^\S+$ User Id

Broker

SubmitApplication > Response

Name Type Description
userId nullable string max-length(10) ^\S+$ User Id

Owner

SubmitApplication > Response

Name Type Description
userId nullable string max-length(10) ^\S+$ User Id

Refkey pairs

With a SubmitApplication request, ref key pairs are used to associate data.

A refkey pair consists of two objects:

For example, refkey pairs are used to associate a single address in the address list with two or more borrowers who are living together.
In this way, using refkey pairs avoids duplication and redundancy.

Examples of refkey pairs:

Properties

"assetRealEstate": [
  {
    "key": "property-28129",
    "...": ...
"customerAddressList": [
  {
    "type": "CustomerAddressPrimaryResidence",
    "addressOccupancyPartialOwnerOccupied": {
      "refkeyAsset": "property-28129",
      "...": ...

The property with key "property-28129":

Assets

"assetOther": [
  {
    "key": "asset-8747",
    "...": ...
"customerAssetList": [
  {
    "refkeyAsset": "asset-8747",
    "...": ...

An asset with key "asset-8747":

Liabilities

"liabilityOther": [
  {
    "key": "liability-108372",
    "...": ...
"customerLiabilityList": [
  {
    "refkeyLiability": "liability-108372",
    "...": ...

A liability with key "liability-108372":

Borrowers

"cusotmerList": {
  "customerPrimaryBorrower": {
    "key": "borrower-89455",
    "...": ...
"customerAddressList": [
  {
    "type": "CustomerAddressPrimaryResidence",
    "cusomterReference": [
      {
        "refkeyCustomer": "borrower-89455",
        "...": ...

A borrower with key "borrower-89455":

Addresses

"addressList": {
  "applicationAddressCanada": {
    "key": "address-359926",
    "...": ...
"customerAddressList": [
  {
    "type": "CustomerAddressPrimaryResidence",
    "refkeyAddress": "address-359926",
    "...": ...

An address with key "address-359926":

Credit Bureaus

"creditBureauList": {
  "creditBureau": {
    "key": "bureau-18840",
    "...": ...
"customerCreditBureauList": [
  {
    "refkeyCreditBureau": "bureau-18840",
    "...": ...

A credit bureau with key "bureau-18840":

Sample Deals

The below examples show different scenarios for submitting an application to Link using the API.
Refer to the section "Getting Started" for information on getting set up to run the example requests.

Deal 1: Minimal Example

Request Body

{
    "commonData": {
        "addressList": {
            "applicationAddressCanada": [
                {
                    "key": "address-382289",
                    "postalAddressStreetAddress": {
                        "unitNumber": "",
                        "streetNumber": "22",
                        "streetName": "EMPTY",
                        "streetType": 70,
                        "streetDirection": 1
                    },
                    "cityTown": "LONDON",
                    "provinceCode": 50,
                    "postalCode": "M6Z4R5",
                    "countryCode": 1
                }
            ],
            "applicationAddressCanadaPartial": {
                "key": "address-382288",
                "provinceCode": 50,
                "countryCode": 1
            }
        }
    },
    "customerData": {
        "customerList": {
            "customerPrimaryBorrower": {
                "dateBirth": "1967-05-09T00:00:00",
                "lastName": "ZOLOVSKY",
                "firstName": "MADELLINA",
                "customerTelephoneNumberList": [
                    {
                        "telephoneNumber": {
                            "countryCode": "1",
                            "areaCode": "416",
                            "phoneNumber": "5671234"
                        },
                        "usage": 1,
                        "preferred": false
                    }
                ],
                "employmentList": {
                    "employment": [
                        {
                            "earnedIncomeList": {
                                "earnedIncome": [
                                    {
                                        "earnedIncomeType": 9,
                                        "paymentFrequency": 1,
                                        "earnedIncomeAmount": 120000.0
                                    }
                                ]
                            },
                            "employmentType": 1,
                            "employmentStatus": 40,
                            "dateStart": "2013-07-01T00:00:00",
                            "industryType": 1,
                            "occupationType": 3,
                            "jobTitle": "QA",
                            "companyName": "ACME"
                        }
                    ]
                },
                "customerRelationShip": {
                    "relationShipToOwnerType": 4
                },
                "key": "borrower-97964",
                "correspondenceLanguage": 1,
                "maritalStatus": 6,
                "numberOfDependents": 0,
                "sex": 1,
                "residentType": 10
            }
        },
        "customerAddressList": [
            {
                "customerCurrentAddressTimeAt": [
                    {
                        "refkeyCustomer": "borrower-97964",
                        "fromDate": "2015-07-01T00:00:00"
                    }
                ],
                "addressOccupancyTenant": {
                    "monthlyRentPaid": 0,
                    "tenancyType": 20
                },
                "currentPropertyIntendedActionType": 2,
                "customerReference": [
                    {
                        "refkeyCustomer": "borrower-97964"
                    }
                ],
                "refkeyAddress": "address-382289",
                "type": "CustomerAddressPrimaryResidence"
            },
            {
                "addressOccupancyNone": {},
                "customerReference": [
                    {
                        "refkeyCustomer": "borrower-97964"
                    }
                ],
                "refkeyAddress": "address-382289",
                "type": "CustomerAddressCorrespondence"
            }
        ]
    },
    "mortgageApplication": {
        "subjectProperty": {
            "subjectPropertyOccupancyOwnerOccupied": {},
            "legalAddress": {},
            "freehold": {},
            "propertyTax": {
                "annualTaxAmount": 5000.0,
                "taxesPaidBy": 1
            },
            "subjectPropertyAddress": {
                "refkeyAddress": "address-382288"
            },
            "occupancyPurpose": 1,
            "mlsListed": false,
            "parkingType": 7,
            "propertySize": 100,
            "propertySizeUnits": 1,
            "lotSize": 100,
            "lotSizeUnits": 1,
            "environmentalHazardIndicator": false,
            "annualHeatingAmount": 540.0,
            "numberOfUnitsTotal": 1,
            "propertyDescriptionType": 1,
            "propertyUsageType": 1,
            "propertyZoningType": 1
        },
        "loan": {
            "freehold": {},
            "lenderProduct": {
                "productCode": "1YRF",
                "productStartDate": "2018-04-06T11:50:00"
            },
            "underwriter": {
                "userId": "<user_id>",
                "unitId": "<underwriter_unit_id>"
            },
            "loanAmount": 899000.0,
            "chargeType": 1,
            "termMonths": "60",
            "amortizationMonths": "300",
            "netRate": 3.7,
            "qualifyingRate": 5,
            "acceleratedPayment": false,
            "maturityDate": "2025-07-10T00:00:00",
            "firstPaymentDate": "2020-07-17T00:00:00",
            "interestAdjustmentDate": "2020-07-10T00:00:00",
            "requestedPayment": 1057.81,
            "paymentAmount": 4583.86,
            "paymentFrequency": 52,
            "repaymentType": 2,
            "lenderCode": <lender_code>,
            "lenderChannel": 10
        },
        "downpaymentList": {
            "downpayment": [
                {
                    "downpaymentSourceType": 10,
                    "amount": 100000.0
                }
            ]
        },
        "firm": {
            "externalPoSFirm": [
                {
                    "posSystemId": 50,
                    "firmId": "<firm_id>"
                }
            ],
            "firmId": "<firm_id>"
        },
        "submittingAgent": {
            "externalPoSUser": [
                {
                    "posSystemId": 50,
                    "firmId": "<firm_id>",
                    "userId": "<user_external_pos_id_2>"
                }
            ],
            "userId": "<user_id>",
            "firstName": "<user_firstname>",
            "lastName": "<user_lastname>",
            "emailAddress": "<user_email_address>",
            "mortgageLicenseNumber": "<mortgage_license_number>"
        },
        "originatingAgent": {
            "externalPoSUser": [
                {
                    "posSystemId": 50,
                    "firmId": "<firm_id>",
                    "userId": "<user_external_pos_id_2>"
                }
            ],
            "addressCanada": {
                "postalAddressStreetAddress": {
                    "unitNumber": "123",
                    "streetNumber": "2608",
                    "streetName": "Granville",
                    "streetType": 1240,
                    "streetDirection": 2
                },
                "cityTown": "Vancouver",
                "provinceCode": 10,
                "postalCode": "V6H3V3",
                "countryCode": 1
            },
            "userId": "<user_id>",
            "firstName": "<user_firstname>",
            "lastName": "<user_lastname>",
            "emailAddress": "<user_email_address>",
            "mortgageLicenseNumber": "<mortgage_license_number>"
        },
        "broker": {
            "externalPoSUser": [
                {
                    "posSystemId": 50,
                    "firmId": "<firm_id>",
                    "userId": "<user_external_pos_id_2>"
                }
            ],
            "userId": "<user_id>",
            "firstName": "<user_firstname>",
            "lastName": "<user_lastname>",
            "emailAddress": "<user_email_address>",
            "mortgageLicenseNumber": "<mortgage_license_number>"
        },
        "posApplicationNumber": "ABCD-12345",
        "isPreapproval": true,
        "fundingDate": "2025-01-01T00:00:00",
        "loanPurposeType": 3,
        "purchasePriceEstimatedValue": 999000.0
    },
    "memo": "\n Applicants:\n Participants- Agent: Jane Smith Assoc/Asst: Jane Smith\n File touched by: Jane Smith\n MADELLINA ZORIN for ACME as QA\n\n Selected Product: 1YRF\n ",
    "unitId": "<unit_id>",
    "posSystem": "<pos_system_id>"
}

This example demonstrates a minimal example.

Deal 2

Request Body

{
    "commonData": {
        "assetList": {
            "assetRealEstate": [
                {
                    "originalPrice": 1345000.0,
                    "originalDate": "2007-05-01T00:00:00",
                    "key": "property-34378",
                    "value": 1345000.0
                },
                {
                    "originalPrice": 500000.0,
                    "originalDate": "2001-01-01T00:00:00",
                    "key": "property-34381",
                    "value": 500000.0
                }
            ],
            "assetOther": [
                {
                    "assetType": 71,
                    "description": "description 1",
                    "key": "asset-82859",
                    "value": 111.0
                },
                {
                    "assetType": 72,
                    "description": "description 2",
                    "key": "asset-82860",
                    "value": 222.0
                },
                {
                    "assetType": 73,
                    "description": "description 3",
                    "key": "asset-82861",
                    "value": 333.0
                },
                {
                    "assetType": 20,
                    "description": "description 4",
                    "key": "asset-82862",
                    "value": 444.0
                },
            ]
        },
        "liabilityList": {
            "liabilityRealEstate": [
                {
                    "accountNumber": "1111",
                    "monthlyRepayment": 55.0,
                    "originalLoanAmount": 200000.0,
                    "outstandingBalance": 50000.0,
                    "closingDate": "2007-05-01T00:00:00",
                    "lenderName": "Gringotts",
                    "chargeType": 1,
                    "repaymentType": 2,
                    "redemptionStatus": 4,
                    "maturityDate": "2020-08-04T00:00:00",
                    "netRate": 3,
                    "rateType": 2,
                    "mortgageInsurer": 10,
                    "insuranceCertificateNumber": "2222",
                    "key": "property-34378-1",
                    "fromCreditBureau": false
                }
            ],
            "liabilityOther": [
                {
                    "dateEnd": "2020-01-01T00:00:00",
                    "repaymentIndicator": true,
                    "payoffType": 2,
                    "monthlyRepayment": 11.0,
                    "creditLimit": 11111.0,
                    "outstandingBalance": 111.0,
                    "lenderName": "Gringotts",
                    "liabilityType": 4,
                    "additionalHolders": true,
                    "additionalHoldersDetails": "test",
                    "key": "liability-112291",
                    "fromCreditBureau": false
                },
                {
                    "dateEnd": "2025-08-07T00:00:00",
                    "repaymentIndicator": true,
                    "payoffType": 2,
                    "monthlyRepayment": 33.0,
                    "creditLimit": 33333.0,
                    "outstandingBalance": 333.0,
                    "lenderName": "Tyrell Corp.",
                    "liabilityType": 6,
                    "additionalHolders": true,
                    "additionalHoldersDetails": "additional holder details",
                    "key": "liability-112293",
                    "fromCreditBureau": false
                },
                {
                    "repaymentIndicator": false,
                    "monthlyRepayment": 0.0,
                    "creditLimit": 19000.0,
                    "outstandingBalance": 18000.0,
                    "lenderName": "Nakatomi Trading Corp.",
                    "liabilityType": 3,
                    "key": "liability-112297",
                    "fromCreditBureau": true
                },
                {
                    "repaymentIndicator": false,
                    "monthlyRepayment": 0.0,
                    "creditLimit": 7000.0,
                    "outstandingBalance": 7000.0,
                    "lenderName": "Tellson's",
                    "liabilityType": 1,
                    "key": "liability-112298",
                    "fromCreditBureau": true
                }
            ]
        },
        "addressList": {
            "applicationAddressCanada": [
                {
                    "key": "address-382297",
                    "postalAddressStreetAddress": {
                        "unitNumber": "",
                        "streetNumber": "1234",
                        "streetName": "MCMICKLING",
                        "streetType": 220,
                        "streetDirection": 5
                    },
                    "cityTown": "NIAGARA FALLS",
                    "provinceCode": 50,
                    "postalCode": "L2Z1X4",
                    "countryCode": 1
                },
                {
                    "key": "address-382298",
                    "postalAddressStreetAddress": {
                        "unitNumber": "33",
                        "streetNumber": "4144",
                        "streetName": "Finch",
                        "streetType": 1210,
                        "streetDirection": 7
                    },
                    "cityTown": "TORONTO",
                    "provinceCode": 50,
                    "postalCode": "M5Z6Y2",
                    "countryCode": 1
                },
                {
                    "key": "address-382299",
                    "postalAddressStreetAddress": {
                        "unitNumber": "",
                        "streetNumber": "1234",
                        "streetName": "MCMICKLING",
                        "streetType": 250,
                        "streetDirection": 5
                    },
                    "cityTown": "NIAGARA FALLS",
                    "provinceCode": 50,
                    "postalCode": "L2Z1X4",
                    "countryCode": 1
                },
                {
                    "key": "address-382301",
                    "postalAddressStreetAddress": {
                        "unitNumber": "",
                        "streetNumber": "1234",
                        "streetName": "MCMICKING",
                        "streetType": 710,
                        "streetDirection": 1
                    },
                    "cityTown": "NIAGARA FALLS",
                    "provinceCode": 50,
                    "postalCode": "L2Z1X4",
                    "countryCode": 1
                },
                {
                    "key": "address-382303",
                    "postalAddressStreetAddress": {
                        "unitNumber": "",
                        "streetNumber": "1234",
                        "streetName": "MCMICKING",
                        "streetType": 480,
                        "streetDirection": 1
                    },
                    "cityTown": "NIAGARA FALLS",
                    "provinceCode": 50,
                    "postalCode": "L2Z1X4",
                    "countryCode": 1
                },
                {
                    "key": "address-382309",
                    "postalAddressStreetAddress": {
                        "unitNumber": "1233",
                        "streetNumber": "234",
                        "streetName": "Warden",
                        "streetType": 100,
                        "streetDirection": 5
                    },
                    "cityTown": "TORONTO",
                    "provinceCode": 50,
                    "postalCode": "M7T3E4",
                    "countryCode": 1
                }
            ]
        },
        "creditBureauList": {
            "creditBureau": [
                {
                    "creditReportEquifax": {
                        "dataFormat": "0H",
                        "reportDate": "2020-06-02T00:00:00",
                        "creditScore": 568,
                        "value": "..."
                    },
                    "humanReadableReport": {
                        "type": "Text",
                        "value": "..."
                    },
                    "key": "bureau-25107",
                    "provider": "Equifax"
                },
                {
                    "creditReportEquifax": {
                        "dataFormat": "0H",
                        "reportDate": "2020-06-02T00:00:00",
                        "creditScore": 682,
                        "value": "..."
                    },
                    "humanReadableReport": {
                        "type": "Text",
                        "value": "..."
                    },
                    "key": "bureau-25121",
                    "provider": "Equifax"
                },
                {
                    "creditReportEquifax": {
                        "dataFormat": "0H",
                        "reportDate": "2020-06-02T00:00:00",
                        "creditScore": 681,
                        "value": "..."
                    },
                    "humanReadableReport": {
                        "type": "Text",
                        "value": "..."
                    },
                    "key": "bureau-25129",
                    "provider": "Equifax"
                },
                {
                    "creditReportEquifax": {
                        "dataFormat": "0H",
                        "reportDate": "2020-06-02T00:00:00",
                        "creditScore": 665,
                        "value": "..."
                    },
                    "humanReadableReport": {
                        "type": "Text",
                        "value": "..."
                    },
                    "key": "bureau-25137",
                    "provider": "Equifax"
                }
            ]
        }
    },
    "customerData": {
        "customerList": {
            "customerPrimaryBorrower": {
                "dateBirth": "1972-02-02T00:00:00",
                "honorific": 1,
                "lastName": "BLACK",
                "firstName": "ALLISON",
                "suffix": 2,
                "customerTelephoneNumberList": [
                    {
                        "telephoneNumber": {
                            "countryCode": "1",
                            "areaCode": "416",
[...]
